# Cinder

# cinder::audio Namespace Reference

## Classes
struct | Buffer
struct | BufferList
class | Callback
class | Io
class | Target
class | Source
class | Loader
struct | IoRegistrar
struct | IoRegistrant
class | Track
class | OutputImpl
class | Output
class | LoaderSourceFile
class | SourceFile
class | LoaderSourceFileWindowsMedia
class | SourceFileWindowsMedia
## Typedefs
typedef shared_ptr< class SourceCallback > | SourceCallbackRef
typedef shared_ptr< class LoaderSourceCallback > | LoaderSourceFileRef
typedef void(* | CallbackFunction )(uint64_t inSampleOffset, uint32_t *ioSampleCount, Buffer *ioBuffer)
typedef shared_ptr< class Source > | SourceRef
typedef shared_ptr< class Loader > | LoaderRef
typedef HRESULT(* | LoaderDataCallback )(void *audioData, uint32_t dataSize, void *track, uint64_t sampleTime, uint32_t sampleDuration)
typedef uint32_t | TrackId
typedef shared_ptr< class Track > | TrackRef
typedef shared_ptr< class SourceFile > | SourceFileRef
typedef shared_ptr< class SourceFileWindowsMedia > | SourceFileWindowsMediaRef
typedef shared_ptr< class LoaderSourceFileWindowsMedia > | LoaderSourceFileWindowsMediaRef
## Functions
void | silenceBuffers (BufferList *aBufferList)
SourceRef | load (const std::string &path, std::string extension="")
| Loads an audio from the file path path. Optional extension parameter allows specification of a file type. For example, "mp3" would force the file to load as a MP3.
SourceRef | load (DataSourceRef dataSource, std::string extension="")
| Loads an audio from dataSource. Optional extension parameter allows specification of a file type. For example, "mp3" would force the file to load as a MP3.

## Typedef Documentation

typedef shared_ptr<class SourceCallback> cinder::audio::SourceCallbackRef

typedef shared_ptr< class LoaderSourceFile > cinder::audio::LoaderSourceFileRef

typedef void(* cinder::audio::CallbackFunction)(uint64_t inSampleOffset, uint32_t *ioSampleCount, Buffer *ioBuffer)

typedef shared_ptr<class Source> cinder::audio::SourceRef

typedef shared_ptr<class Loader> cinder::audio::LoaderRef

typedef HRESULT(* cinder::audio::LoaderDataCallback)(void *audioData, uint32_t dataSize, void *track, uint64_t sampleTime, uint32_t sampleDuration)

typedef uint32_t cinder::audio::TrackId

typedef shared_ptr<class Track> cinder::audio::TrackRef

typedef shared_ptr<class SourceFile> cinder::audio::SourceFileRef

typedef shared_ptr<class SourceFileWindowsMedia> cinder::audio::SourceFileWindowsMediaRef

typedef shared_ptr<class LoaderSourceFileWindowsMedia> cinder::audio::LoaderSourceFileWindowsMediaRef

## Function Documentation

void cinder::audio::silenceBuffers | ( | BufferList * | aBufferList | ) |

SourceRef cinder::audio::load | ( | const std::string & | path,
|  | std::string | extension = `""` |
| ) |  |  |

Loads an audio from the file path path. Optional extension parameter allows specification of a file type. For example, "mp3" would force the file to load as a MP3.

SourceRef cinder::audio::load | ( | DataSourceRef | dataSource,
|  | std::string | extension = `""` |
| ) |  |  |

Loads an audio from dataSource. Optional extension parameter allows specification of a file type. For example, "mp3" would force the file to load as a MP3.